MySQL++ Reference Manual

Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::const_subscript_container< OnType, ValueType, ReturnType, SizeType, DiffType > Class Template Reference

A base class that one derives from to become a random access container, which can be accessed with subscript notation. More...

`#include <resiter.h>`

Inheritance diagram for mysqlpp::const_subscript_container< OnType, ValueType, ReturnType, SizeType, DiffType >:

[legend]
List of all members.

## Public Types
typedef const_subscript_container< OnType, ValueType, ReturnType, SizeType, DiffType > | this_type
| this object's type
typedef subscript_iterator< const this_type, ReturnType, SizeType, DiffType > | iterator
| mutable iterator type
typedef iterator | const_iterator
| constant iterator type
typedef const std::reverse_iterator< iterator > | reverse_iterator
| mutable reverse iterator type
typedef const std::reverse_iterator< const_iterator > | const_reverse_iterator
| const reverse iterator type
typedef ValueType | value_type
| type of data stored in container
typedef value_type & | reference
| reference to value_type
typedef value_type & | const_reference
| const ref to value_type
typedef value_type * | pointer
| pointer to value_type
typedef value_type * | const_pointer
| const pointer to value_type
typedef DiffType | difference_type
| for index differences
typedef SizeType | size_type
| for returned sizes
## Public Methods
virtual | ~const_subscript_container ()
| Destroy object.
virtual size_type | size () const=0
| Return count of elements in container.
virtual ReturnType | at (SizeType i) const=0
| Return element at given index in container.
size_type | max_size () const
| Return maximum number of elements that can be stored in container without resizing.
bool | empty () const
| Returns true if container is empty.
iterator | begin () const
| Return iterator pointing to first element in the container.
iterator | end () const
| Return iterator pointing to one past the last element in the container.
reverse_iterator | rbegin () const
| Return reverse iterator pointing to first element in the container.
reverse_iterator | rend () const
| Return reverse iterator pointing to one past the last element in the container.

## Detailed Description

### template<class OnType, class ValueType, class ReturnType = const ValueType&, class SizeType = unsigned int, class DiffType = int>
class mysqlpp::const_subscript_container< OnType, ValueType, ReturnType, SizeType, DiffType >

A base class that one derives from to become a random access container, which can be accessed with subscript notation.

OnType must have the member functions `operator[](SizeType)` and

The documentation for this class was generated from the following file:

- resiter.h